curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "payment-1",
"at": "2023-11-07T05:31:56Z",
"method": "CASH",
"fee": 123,
"prepayment_account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment_clearing_account": {
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"normality": "CREDIT",
"account_type": {
"value": "ASSET",
"display_name": "Asset"
},
"account_subtype": {
"value": "BANK_ACCOUNTS",
"display_name": "Current Assets"
}
},
"additional_fees": [
{
"fee_amount": 123,
"description": "<string>",
"account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"is_passed_to_customer": true
}
],
"amount": 123,
"processor": "STRIPE",
"imported_at": "2023-11-07T05:31:56Z",
"allocations": [
{
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
],
"refund_allocations": [],
"payouts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "payout-1234",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paid_out_amount": 123,
"fee": 123,
"processor": "STRIPE",
"imported_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"match": {
"id": "6b0a3734-f4ef-4fb0-9fc1-3f59b0c1cf99",
"match_type": "PAYOUT",
"bank_transaction": {
"type": "Bank_Transaction_Data",
"id": "a703c8d6-cfe8-453d-a275-b92eacc6fc6e",
"business_id": "738ec216-e8e5-48f2-b7f2-cdc89c96b3d4",
"source": "STRIPE",
"source_transaction_id": "trxn_1sdOeLQiFAKE2LQBkcvrJw95f",
"source_account_id": "738ec216-e154-48f2-1111-cdc89c96b3d4",
"imported_at": "2024-03-19T22:09:53.290591Z",
"date": "2024-03-06T06:06:40Z",
"direction": "CREDIT",
"amount": 87459,
"counterparty_name": null,
"description": "Payout (po_1OqnTHISISFAKEiTVBkCiyAERwm)",
"account_name": "Layer Banking",
"categorization_status": "MATCHED"
},
"details": {
"type": "Payout_Match",
"id": "d224508b-b05e-41da-89de-0fbd8a573507",
"amount": 87459,
"date": "2024-03-06T00:00:00Z",
"description": "Payout from STRIPE",
"adjustment": null
}
},
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
],
"transaction_tags": [],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
]""List payments
Returns a list of invoice payments for the specified business. Payments can be filtered by method and date range. Results will be paginated, see Pagination for details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business to fetch invoice payments for
Query Parameters
Filter payments by payment method. Supported values are CASH, CHECK, CREDIT_CARD, ACH, CREDIT_BALANCE, OTHER.
Filter payments by payment date. Payments made on or after this date will be included. ISO 8601 date format.
Filter payments by payment date. Payments made on or before this date will be included. ISO 8601 date format.
Filter payments by external ID (unique idempotency key). This will always yield zero or one result.
Comma-separated list of reference numbers to filter invoice payments by. Only invoice payments with reference numbers matching any value in this list will be returned.
Filter payments by whether they are included in a payout. Set to true to show only payments that are part of a payout, false to show only payments not in any payout.
Filter invoice payments by match status. If true, only matched payments will be returned. If false, only unmatched payments will be returned. Invoice payments are considered matched if they are matched directly, or if they are included in a payout that is matched.
Response
Unique identifier for the payment.
Unique ID of the invoice payment in an external system for linking and idempotency.
"payment-1"
Timestamp when the payment was completed.
Payment method.
CASH, CHECK, CREDIT_CARD, ACH, CREDIT_BALANCE, OTHER Fee paid by business for processing of payment in positive cents.
Identifier for the ledger account to use if this is a prepayment.
- Account ID
- Account Stable Name
Show child attributes
Show child attributes
The the ledger account to use for the payment (overrides the default determined by the payment method), if specified.
Show child attributes
Show child attributes
List of additional fees associated with this payment.
Show child attributes
Show child attributes
Customer payment amount, in cents.
Processor used to make the payment, if any. Any processor name can be provided and will be tracked.
"STRIPE"
Timestamp when the payment was imported into Layer.
List of payment allocations associated with this payment.
Show child attributes
Show child attributes
Refund allocations associated with this invoice payment
Show child attributes
Show child attributes
[]
Payouts associated with this payment.
Show child attributes
Show child attributes
List of tags associated with this transaction
Show child attributes
Show child attributes
[]
Memo for any text you would like to associate with the invoice payment (for example, to display to end users).
Arbitrary custom metadata in JSON format with a size limit of 1KB
{
"custom_field": "value",
"any valid json": "below 1kb",
"nested": { "meaning of life": 42, "array": [] }
}
Any (typically user-visible) identifier you would like to associate with the invoice payment. Can be used to filter when listing invoice payments.